# Send SMS with the link for onboarding

`POST /omni/external/send-sms`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Used by Admins or Executives to send SMS containing generated onboarding link.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | query | string | yes | Id of onboarding session for which link is being generated. |
| `api-version` | header | string | yes |  |

## Request body

Content-Type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `smsText` | string |  | Text to be shown with URL. Needs to have {0} placeholder inside for URL. |
| `clientId` | string | yes |  |
| `shortUrl` | boolean |  | Indicates whether the link should be shortened. If set to true, the link will be converted to a shortened version. |
| `queryParams` | object |  | Additional onboarding url query params allowed: lang |
| `queryParams.lang` | string |  |  |
| `uuid` | string |  | Optional UUID to be reused for linking the onboarding session. If not provided or invalid, a new one will be generated. |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | boolean |  | Flag indicating request passed successfully. |
| `sessionStatus` | string |  | Session status Enum: `Alive`, `Closed`, `Deleted` |

### 400

Custom error status:
- 4004: Could not find user

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
